Piloterr

Autodoc Product

Scrape Autodoc product pages: price, specs, EAN, images, compatibility, and TecDoc-related vehicle data via the Related endpoint.

Credit cost: 2 credits per call

GET
/v2/autodoc/product

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

HTTPS URL of an Autodoc product page (detail page with article id in the path).

Example:

https://www.auto-doc.fr/ridex/7999541

The host must be a supported Autodoc shop (same allowlist as Search domain; e.g. www.autodoc.de, www.auto-doc.fr). Other hosts return 400.

Response includes (when present on the page): product_url, compatibility (makers + fetch for Related), specifications, oem_numbers, seo_summary.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/autodoc/product?query=string"
{
  "ean": "4059191318797",
  "name": "RIDEX 82B0696 Disque de freinEssieu avant, 238x8mm, 4/6x100, plein, Fonte",
  "price": 17.49,
  "images": [
    "https://media.autodoc.de/360_photos/7999541/preview.jpg",
    "https://cdn.autodoc.de/thumb?id=7999541&m=1&n=0&lng=fr&rev=94078007"
  ],
  "rating": 10,
  "seller": "AUTODOC",
  "brand_no": 100015,
  "currency": "EUR",
  "features": [
    "Disques de frein standard conditionnés dans un emballage huilé",
    "Matériel : fonte GG20",
    "Qualité élevée constante",
    "Installation facile",
    "Compatibilité parfaite avec les composants du système de freinage RIDEX"
  ],
  "subtitle": "Essieu avant, 238x8mm, 4/6x100, plein, Fonte",
  "reference": "82B0696",
  "seller_id": 485,
  "generic_id": 82,
  "product_id": 7999541,
  "breadcrumbs": [
    {
      "url": "https://www.auto-doc.fr/#parts",
      "name": "Pièces auto magasin en ligne"
    },
    {
      "url": "https://www.auto-doc.fr/pieces-detachees",
      "name": "Catalogue de pièces"
    },
    {
      "url": "https://www.auto-doc.fr/pieces-detachees/freinage",
      "name": "Frein"
    },
    {
      "url": "https://www.auto-doc.fr/pieces-detachees/disque-de-frein-10132",
      "name": "Disque de frein"
    },
    {
      "url": null,
      "name": "RIDEX Disque de frein"
    }
  ],
  "oem_numbers": [
    {
      "url": "https://www.auto-doc.fr/pieces-detachees/oem/7701204285",
      "label": "OE 77 01 204 285 — RENAULT"
    },
    {
      "url": "https://www.auto-doc.fr/pieces-detachees/oem/7700716947",
      "label": "OE 77 00 716 947 — RENAULT"
    },
    {
      "url": "https://www.auto-doc.fr/pieces-detachees/oem/7701716947",
      "label": "OE 77 01 716 947 — RENAULT"
    }
  ],
  "product_url": "https://www.auto-doc.fr/ridex/7999541",
  "seo_summary": {
    "moteurs": "1.2; 1.2 16V; 1.1; 1.9 D; 1.4; 1.0; 1.6 D",
    "modeles_de_voitures": "Renault Twingo 1; Clio 1; Renault Supercinq; R5 3/5 portes; Renault Rapid Van; Renault Twingo 1 Van; Renault Clio Van s57; Super 5 Van (s40)",
    "annees_de_fabrication": "1980-2007",
    "numero(s)_de_piece_oe": "77 01 204 285, 77 00 716 947, 77 01 716 947",
    "puissance_(kilowatts)": "27-52 kW",
    "numero_d_article_du_fabricant": "82B0696",
    "puissance_du_moteur_(chevaux)": "37-71 CV"
  },
  "availability": "En stock",
  "generic_name": "Disque de frein",
  "goods_ending": 364,
  "compatibility": {
    "cars": [
      {
        "fetch": {
          "path": "/v2/autodoc/product/related",
          "params": {
            "query": "https://www.auto-doc.fr/ridex/7999541",
            "maker_id": 93,
            "maker_name": "RENAULT",
            "product_id": 7999541,
            "vehicle_type": "pkw"
          }
        },
        "maker": "RENAULT",
        "maker_id": 93,
        "vehicle_type": "pkw"
      }
    ],
    "trucks": []
  },
  "has_360_photo": true,
  "reviews_count": 28,
  "specifications": {
    "etat": "Neuf",
    "hauteur": "41",
    "perfore": "non",
    "surface": "nu / non protégé / non plastifié",
    "diametre": "238",
    "materiel": "Fonte",
    "fabricant": "RIDEX",
    "traitement": "non-traité",
    "numero_de_ean": "4059191318797",
    "nombre_de_trous": "4 / 6",
    "numero_d_article": "82B0696",
    "annee_a_partir_de": "Cette caractéristique varie en fonction du modèle de voiture.",
    "cote_d_assemblage": "Essieu avant",
    "cercle_de_percage_ø": "100",
    "diametre_du_centrage": "61,1",
    "type_de_disque_de_frein": "plein",
    "epaisseur_du_disque_de_frein": "8",
    "diametre_d_alesage_du_boulon_de_roue": "13",
    "article_complementaire_info_complementaire_2": "sans vis / boulons"
  },
  "rating_percentage": 100,
  "discount_percentage": 43
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}